Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Interface CredentialRequestOptionsParameters.IAllowCredentialsStage

All Known Implementing Classes:
  `CredentialRequestOptionsParameters.Builder`

Enclosing class:
  CredentialRequestOptionsParameters

public static interface CredentialRequestOptionsParameters.IAllowCredentialsStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialRequestOptionsParameters.IBuildStage`
`withAllowCredentials(List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> allowCredentials)`
Credentials that have already been registered with the IdP.

## Method Details

### withAllowCredentials

CredentialRequestOptionsParameters.IBuildStage withAllowCredentials(@Nonnull List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> allowCredentials)
Credentials that have already been registered with the IdP.

Parameters:
  `allowCredentials` - the credentials to allow
Returns:
  the next stage